A parsed path object generated by path.parse() or consumed by path.format().

### Hierarchy

- ParsedPath

## Index

### Properties

- base
- dir
- ext
- name
- root

## Properties

### base

base: string

- Defined in node_modules/@types/node/path.d.ts:17

The file name including extension (if any) such as 'index.html'

### dir

dir: string

- Defined in node_modules/@types/node/path.d.ts:13

The full directory path such as '/home/user/dir' or 'c:\path\dir'

### ext

ext: string

- Defined in node_modules/@types/node/path.d.ts:21

The file extension (if any) such as '.html'

### name

name: string

- Defined in node_modules/@types/node/path.d.ts:25

The file name without extension (if any) such as 'index'

### root

root: string

- Defined in node_modules/@types/node/path.d.ts:9

The root of the path such as '/' or 'c:'

Generated using TypeDoc